.so head.mm
.H 2 "Huvud och ftter"
.H 3 "Samma huvud och fot p alla sidor"
.P 0
Huvud och fot r uppdelade i tre bitar: vnster, mitt och hger sektion.
Man styr huvudet med kommandot \fB.PH\fP.
.br
\&\fB.PH\fP\t"'vnsterdel'mittdel'hgerdel'"
.br
Foten styrs med \fB.PF\fP.
.br
\&\fB.PF\fP\t"'vnsterdel'mittdel'hgerdel'"
.br
Ett exempel p definition av huvud och ftter:
.demo-ruta
\&.PH "'Vnsterhuvud'mitt med sidnr %'Hger sida'"
\&.PF "''- % -''"
.demo-end
Tecknet \fB%\fP verstts till nuvarande sidnummer. 
Normalt r \fBPH\fP satt till "''-\ %\ -''".
Sidfoten r normalt tom.
.H 3 "Udda och jmna sidor"
.P 0
Udda och jmna sidor specificeras med samma typ av argument som \fB.PH\fP
och \fB.PF\fP.
.VL 2c
.BLI .EH
jmnt sidhuvud
.BLI .OH
udda sidhuvud
.BLI .EF
jmn sidfot
.BLI .OF
udda sidfot
.LE
Det gr bra med vilket tecken som helst, t ex \fB@\fP eller \fBX\fP, i stllet
fr \f(CB'\fP.
.demo-ruta
\&.OF @vnster udda fot@@@
\&.EF '''vnster jmn fot'
.demo-end
.P
Vill man ha en variabel i huvud eller fot mste den skrivas med
fyra \f(CB\e\fP:
.demo-ruta
\&.PH "'''Datum \e\e\e\e*[DT]'"
.demo-end
.H 3 "Extra vertikalmarginaler"
.BIP ".VM [hm] [fm]"
Detta kommando ger extra utrymme ovanfr sidhuvudet och/eller efter
sidfoten. \fIhm\fP anger huvudet och \fIfm\fP anger foten.
Argumenten anges i rader, men kan ven anges med skalfaktor.
Inget utrymme reserveras om argumenten \f(CB0\fP eller "" anges.
.H 3 "Egna huvud och ftter"
Fljande krver lite mer kunskap om \*(gr, nmligen att 
kunna skapa egna kommando (makro).
Man kan forma sitt eget sidhuvud genom att
definiera kommandot \fB.TP\fP
Detta erstter d det vanliga huvudet.
Fljande variabler finns d tillgngliga:
.VL 1.4c
.LI "\fB}t\fP"
innehller hela huvudet, definierat med \fB.PH\fP.
.LI "\fB}e\fP"
innehller motsvarande frn \fB.EH\fP.
.LI "\fB}o\fP"
innehller motsvarande frn \fB.OH\fP.
.LE
.P
Fljande kommando (makro) motsvarar det normala huvudet:
.VERBON 1
\&.de TP
\&.sp 3
\&.tl \e\e*(}t
\&if e 'tl \e\e*(}e
\&if o 'tl \e\e*(}o
\&.sp 2
\&..
.VERBOFF
.P
Man kan ven skapa ett kommando som heter \fB.PX\fP.
Detta kommer d att kras alldeles efter det vanliga huvudet.
.demo-ruta
\&.de PX
\&.ce
HEMLIGT MATERIAL
\&..
.demo-end
