.so head.mm
.H 2 "Listor av alla slag"
.P
Det finns mjlighet att skriva listor med alla tnkbara finesser.
Normalt anvnder man de sex olika standardtyperna, men det finns ven 
mjlighet att komponera fler med ett speciellt kommando.
Men standardtyperna rcker fr de flesta anvndningsomrde.
Listorna kan innehlla flera listor som poster, dvs man kan ha listor
i listan. Det r endast minnet som stter grnsen fr antal listor.
Alla listor bestr av tre delar; en inledning, en eller flera poster samt
en avslutning.
.P
Fljande standardtyper finns:
.DS
.TS
center tab(;);
lb | lb
lb | l.
Namn;Typ av lista
_
\&.AL;automatisk postnumering.
\&.ML;valfritt mrke fre varje post.
\&.VL;mrket specifieras fr varje post.
\&.BVL;som \fB.VL\fP men varje post brjar p nsta rad efter mrket.
\&.BL;lista med punktmarkerade poster.
\&.DL;lista med streckmarkerade poster.
\&.RL;referenslista.
.TE
.TB "Tillgngliga listkommandon"
.DE
.P
Varje post inleds med \fB.LI\fP oavsett typ.
.BIP ".LI [mrke [1]]" "list item"
Texten fljer p nsta rad.
.demo-ruta
\&.LI
Och hr skriver man postens innehll. Allt fram
till nsta .LI eller .LE kommer att ing.
.demo-end
.BL
.LI
Om \fB.LI\fP har ett argument kommer detta att skrivas i stllet fr
det vanliga mrket. Vissa listor krver ett argument.
.LI
Om \fB.LI\fP har tv argument kommer det frsta att skrivas fre det normala
mrket.
.LI
Om \fB.LI\fP har \f(CB""\fP som mrke kommer den frsta raden i posten
att brja dr mrket skulle st.
.LE
Normalt orsakar \fB.LI\fP en tomrad fre posten och mrket. Detta kan styras
med variabeln \fBLs\fP. Se \fIStyrvariabler\fP nedan.
.P
Listan avslutas med \fB.LE\fP oavsett typ.
.BIP ".LE [1]" "list end"
Om \fB.LE\fP har ett argument s kommer listan att f en tom rad efter sig.
.\"--------------------------------------------------------
.P
Hr fljer ett exempel. Observera frsta posten som bestr 
av en sammanhllen text fr att inte f radbrytning. Man kan
allts anvnda mnga extrafinesser inne i listan.
Post tv saknar mrke och blir "hngade".
Nummer sex har eget mrke, och nummer tta har extramrke.
.demo-ruta
\&.AL
\&.LI
\&.DS
STOP!
He who would cross the Bridge of Death
Must answer me
These questions three
Ere the other side he see.
\&.DE
\&.LI ""
Ask me your questions, Bridgekeeper. 
I am not afraid.
\&.LI
What...is your name?
\&.LI
Sir Lancelot of Camelot.
\&.LI
What...is your quest?
\&.LI XX
To seek the Holy Grail.
\&.LI
What...is your favorite color?
\&.LI \e(sc 1
Blue.
\&.LI
Right, off you go.
\&.LI
(realizing that was it) Oh! Well,
thank you. Thank you very much.
\&.LE
.demo-gives
.AL
.LI
.DS
STOP!
He who would cross the Bridge of Death
Must answer me
These questions three
Ere the other side he see.
.DE
.LI ""
Ask me your questions, Bridgekeeper. 
I am not afraid.
.LI
What...is your name?
.LI
Sir Lancelot of Camelot.
.LI
What...is your quest?
.LI XX
To seek the Holy Grail.
.LI
What...is your favorite color?
.LI \(sc 1
Blue.
.LI
Right, off you go.
.LI
(realizing that was it) Oh! Well,
thank you. Thank you very much.
.LE
.demo-end
.\"--------------------------------------------------------
.H 2 "Inledning av en lista"
.H 3 "Automatisk numrering av varje post"
.BIP ".AL [typ [indrag [1]]]"  "automatically incremented list"
.P
\&\fB.AL\fP utan argument ger en automatiskt numrerad lista.
Utan argument skapas en numrerad lista frn ett och uppt.
Genom att ange \f(CBtyp\fP fr man annorlunda siffror.
.DS CB
.TS
tab(;);
c | c
cb | l .
Argument;Typ av numrering
_
1;Arabiska siffror (normalvrde)
A;Versala bokstver (A, B, C, ...)
a;Gemena bokstver (a, b, c, ...)
I;Versala romerska siffror
i;Gemena romerska siffror
.TE
.TB "Argumentet \f(CBtyp\fP till \fB.AL\fP."
.DE
Texten kommer att skrivas med sex teckens indragning frn
senaste indragningsniv. Denna kan man ndra genom att ange
\f(CBindrag\fP i antal tecken. Genom att stta
variabeln \fBLi\fP ndras indragning fr alla \fB.AL\fP.
Se \fIStyrvariabler\fP nedan.
.P
Genom att ange ett tredje argument till \fB.AL\fP blir det
ingen tomrad mellan posterna.
.demo-ruta
\&.AL
\&.LI
Frsta raden
\&.LI
Andra raden
\&.LI \e(sc 1
Tredje raden
\&.LE
.demo-gives
.AL
.LI
Frsta raden
.LI
Andra raden
.LI \(sc 1
Tredje raden
.LE
.demo-end
.H 3 "Markerad lista"
.P
Med \fB.ML\fP fr man en lista som inleds med samma mrke
fr alla poster.
.BIP ".ML mrke [indrag [1]]"  "marked list"
.P
\fBmrke\fP anger ett tecken eller ord som ska inleda varje post.
Indragningsnivn kan man ndra genom att ange \f(CBindrag\fP i antal tecken.
Genom att ange ett tredje argument, vanligtvis \f(CB1\fP,
blir det ingen tomrad mellan posterna.
.demo-ruta
\&.ML \e(OK
\&.LI
Frsta raden
\&.LI
Andra raden
\&.LI
Tredje raden
\&.LE
.demo-gives
.ML \(OK
.LI
Frsta raden
.LI
Andra raden
.LI
Tredje raden
.LE
.demo-end
.H 3 "Punkterad lista"
\&\fB.BL\fP fungerar som \fB.ML\fP med en punkt (bullet) som mrke.
.BIP ".BL [indrag [1]]"  "bullet list"
Indragningsnivn kan man ndra genom att ange \f(CBindrag\fP i antal tecken.
Genom att ange ett andra argument, vanligtvis \f(CB1\fP,
blir det ingen tomrad mellan posterna.
.demo-ruta
\&.BL
\&.LI
Frsta raden
\&.LI
Andra raden
\&.LI
Tredje raden
\&.LE
.demo-gives
.BL
.LI
Frsta raden
.LI
Andra raden
.LI
Tredje raden
.LE
.demo-end
.H 3 "Bindestreckslista"
\&\fB.DL\fP fungerar som \fB.ML\fP med ett bindestreck (dash) som mrke.
.BIP ".DL [indrag [1]]"  "dash list"
Indragningsnivn kan man ndra genom att ange \f(CBindrag\fP i antal tecken.
Genom att ange ett andra argument, vanligtvis \f(CB1\fP,
blir det ingen tomrad mellan posterna.
.demo-ruta
\&.DL
\&.LI
Frsta raden
\&.LI
Andra raden
\&.LI
Tredje raden
\&.LE
.demo-gives
.DL
.LI
Frsta raden
.LI
Andra raden
.LI
Tredje raden
.LE
.demo-end
.H 3 "Lista med olika mrke"
\&\fB.VL\fP ger mjlighet att ange olika texter som inledning till
varje post.
.BIP ".VL textin [mrkin [1]]"  "variable list"
Varje \fB.LI\fP mste anges med mrke. \f(CBtextin\fP anger var postens
text ska brja. \f(CBmrkin\fP anger indragningen till mrket.
Genom att ange ett tredje argument till \fB.AL\fP blir det
ingen tomrad mellan posterna.
.BIP ".BVL textin [mrkin [1]]"  "marked list"
\&\fB.BVL\fP fungerar som \fB.VL\fP, men postens text brjar alltid p
nsta rad.
Hr fljer ett exempel med textindrag fyra centimeter.
.demo-ruta
\&.VL 4c
\&.LI "Rad ett"
Frsta raden
\&.LI tv
Andra raden
\&.LI TRE
Tredje raden
\&.LE fyra.
.demo-gives
.VL 4c
.LI "Rad ett"
Frsta raden
.LI tv
Andra raden
.LI TRE
Tredje raden
.LE fyra.
.demo-end
.H 3 "Referenslista"
.P
Med \fB.RL\fP fr man en automatiskt numrerad referenslista.
.BIP ".RL [indrag [1]]"  "reference list"
Indragningsnivn kan man ndra genom att ange \f(CBindrag\fP i antal tecken.
Genom att ange ett andra argument, vanligtvis \f(CB1\fP,
blir det ingen tomrad mellan posterna.
.demo-ruta
\&.RL
\&.LI
Frsta raden
\&.LI
Andra raden
\&.LI
Tredje raden
\&.LE
.demo-gives
.RL
.LI
Frsta raden
.LI
Andra raden
.LI
Tredje raden
.LE
.demo-end
.H 2 "Kombinationer av listor"
.P
Det r fritt fram att inkludera listor i andra listor. Dessa
kommer att hamna p respektive textindragningsniv.
Den yttersta listan har niv 1, nsta niv 2 osv. Se \fIStyrvariabler\fP nedan.
.demo-ruta
\&.AL
\&.LI
Frsta raden
\&.BL
\&.LI
liten rad
\&.LI
liten rad
\&.LE
\&.LI
Andra raden
\&.LI
Tredje raden
\&.LE
.demo-gives
.AL
.LI
Frsta raden
.BL
.LI
liten rad
.LI
liten rad
.LE
.LI
Andra raden
.LI
Tredje raden
.LE
.demo-end
.H 2 "Generella listor"
.P
Om ingen av de tidigare listorna duger s kan man komponera sin egen
med \fB.LB\fP.
Det krver dock att man r vl frtrogen med \fBmm\fP.
.br
\&\fB.LB t-indrag m-indrag utf typ [ mrke [ LI-rader [ LB-rader ]]] \fP
\ \ \f(CIlist begin\fP
.br
.BL
.LI
\f(CBt-indrag\fP
anger antal mellanslag som texten kommer att
flyttas t hger.
.LI
\f(CBm-indrag\fP anger 
antal mellanslag som mrket ska placeras p frn nuvarande position.
Det kallas \fImrkesomrdet\fP. Detta omrde tar slut dr texten brjar.
Fr en normal lista r \f(CBm-indrag\fP noll.
.LI
Om \fPutf\fP r strre n noll s kommer mrket att hgerjusteras
lika mnga tecken frn texten som \f(CButf\fP anger.
.LI
\f(CBtyp\fP och \f(CBmrke\fP beskriver typen av mrke som ska anvndas.
Om \f(CBtyp\fP r noll s kommer \f(CBmrke\fP att anvndas som markering.
Annars kommer automatisk numrering att ske. D anger \f(CBmrke\fP vilken
typ av siffror som ska anvndas.
.DS CB
.TS
tab(;);
c | c | c
cb | c | l .
Typ;Mrke;Resultat
_
0;\fItomt\fP;hngande indragning
0;\fIstrng\fP;\fIstrng\fP anvnds som mrke.
>0;\fItomt\fP;Arabiska siffror
>0;\fB1, A, a, I, i\fP;Arabiska eller romerska siffror eller bokstver
.TE
.TB "\f(CBtyp\fP och \f(CBmrke\fP fr \fB.LB\fP"
.DE
.LI
\f(CBtyp\fP anger ven vilken sorts mrke som ska anvndas vid
automatisk numerering.
\f(CBx\fP erstts med ett nummer.
.DS CB
.TS
tab(;);
c | c .
Vrde;Resulterande mrke
_
1;x.
2;x)
3;(x)
4;[x]
5;<x>
6;{x}
.TE
.TB "Legala vrde fr \f(CBtyp\fP i \fB.LB\fP"
.DE
.LI
Vanliga mellanrum fr inte anvndas i mrket.
.LI
\f(CBLI-rader\fP anger antal rader som ska skrivas efter varje \fB.LI\fP.
(Varje rad r en halv textrad.) Normalt ett.
Om \f(CBLI-rader\fP r strre n 0 kommer varje \fB.LI\fP att reservera
tv rader innan mrket skrivs ut.
.LI
\f(CBLB-rader\fP anger antal rader som ska skrivas efter \fB.LB\fP.
(Varje rad r en halv textrad.) Normalt noll.
.LE
.\" ################################
.demo-var
.demo-nr Li 6
Normal indragning i antal tecken. Denna anvnds om man inte anger 
indragning vid varje startkommando, t ex \fB.BL 4\fP.
.demo-nr Ls 99
Anger den niv dr \fB.LI\fP inte lngre lgger ut en tomrad fre
post. Vrdet \f(CB0\fP medfr att inga poster fr tomrad fre.
Vrdet \f(CB1\fP medfr att den yttersta listan fr tomrader osv.
.demo-nr Pi 5
Listorna \fB.BL\fP och \fB.DL\fP anvnder samma indragning som
paragrafer med \fB.P 1\fP. Se tidigare kapitel om paragrafer.
.demo-var-end
