.so head.mm
.H 2 "Makro, vad r det?"
.P 0
Att formatera text med \*(gr innebr s gott som alltid att man
ven anvnder ett makropaket. Detta r en samling makro\*F som
.FS
Hr beskrivs makropaketet \fBmm\fP.
.FE
innehller \*(gr\%kommando. Det r dessa kommando som utfr sjlva
textformateringen. Men det behvs mnga \*(gr\%kommando fr att
utfra arbetet, och det r dessutom ofta samma kommando.
.P 0
Ett makro r ett kortare namn p ett antal \*(gr\%kommandon.
Ofta anvnder man endast makrona och slipper veta ngot om
vad de egentligen gr.
Man kan sjlv skapa egna makro fr att frenkla arbetet.
Enda uppenbara skillnaden p ett makro och ett \*(gr\%kommando r
att makrona ofta skrivs med versalers, medan \*(gr\%kommandona alltid
skrivs med gemener. Det r dock fritt att anvnda gemener fr
makronamn.
De flesta kommando beskrivna i denna manualen bestr av versaler
och r allts egentligen makro i \fBmm\fP-paketet,
men fr tydlighetens skull kallas
ven de kommando.
.SP
.B1
.sp .5
.MULB 4c .5c 4c .5c 4c
.nf
.B "Dessa rader kan ersttas"
.SP
\&.B
nisse
\&.R
.MULN
.B "med denna rad."
.SP
\&.MSP
.MULN
.B "S hr definieras .MSP:"
.SP
\&.de MSP
\&.B
nisse
\&.R
\&..
.MULE
.B2
.FG "Exempel p makro som skriver 'nisse' i fetstil."
.P
Ett makro inleds med \fB.de\fP\ \fInamn\fP, dr \fInamn\fP anger
makrots namn. Makrot avslutas med '\fB..\fP'. Argument till makrot
anges som \f(CB\e\e$n\fP, dr \f(CBn\fP anger argumentnummer.
.demo-ruta
\&.de mitt_makro
Argument 1 r \e\e$1 och nummer tv r \e\e$2.
\&..
.demo-gives "Anropas s hr:"
\&.mitt_makro hej "hopp i skogen"
.demo-end
.H 2 "Variabler"
.P 0
I ett makro behvs ofta variabler, t ex dagens datum, sidnummer
eller sidlngd. Man kan sjlv ha nytta av variabler fr att
frkorta namn och annat som skrivs ofta i texten.
.H 3 "Siffervariabler"
.P 0
Siffervariabler anges med sekvensen \fB\enX\fP, \fB\en(XX\fP
eller \fB\en[XX..XX]\fP, dr X str fr variabelns namn.
Tilldelning av siffervariabler sker med komandot \fB.nr\ XX\ n\fP,
dr n r ett tal eller
ett matematiskt uttryck, och XX r vairabelns namn.
.br
Hr fljer ngra exempel p tilldelningar av siffervariabler:
.demo-ruta
\&.nr n 34
\&.nr Nn 24.4
\&.nr nils-erik \enn+2
\&.nr elsa \e(Nn-\e[nils-erik]
.demo-end
I exemplet fr \f(CBn\fP vrdet 34, \f(CBNn\fP fr vrdet 24.4,
\f(CBnils-erik\fP fr vrdet 36 och \f(CBelsa\fP fr vrdet -11.6.
.H 3 "Strngvariabler"
.P 0
Strngvariabler anges med sekvensen \fB\e*X\fP, \fB\e*(XX\fP eller
\fB\e*[XX..XX]\fP.
Tilldelning sker med \fB.ds\ XX\ SS\fP, dr SS r en fljd av tecken
fram till slutet av raden, och XX r variabelns namn.
Om strngen ska brja med mellanslag s mste
ett citattecken inleda strngen.
.demo-ruta
\&.ds e erik
\&.ds eA albin svenson
\&.ds segel segelduk med gula rnder
\&.ds konstig "    en massa mellanrum frst
Detta r ett utskriftsexempel av \e*[segel], \e*[konstig],
\e*e och \e*(eA.
.demo-gives
.ds e erik
.ds eA albin svenson
.ds segel segelduk med gula rnder
.ds konstig "    en massa mellanrum frst
Detta r ett utskriftsexempel av \*[segel], \*[konstig],
\*e och \*(eA.
.demo-end

